Subject: Re: bug#10468: BUG: Severe or critical - deletes existing files and leaves nothing. (cp)

From: Linda Walsh <[email-masked]>
Date: Mon, 09 Jan 2012 17:41:34 -0800

I see....

So the default policy is that if Windows touches it, gnu won't?

I can see why MS, would be so hostile toward FSF/GNU...

(that's how I feel^, and a bit nastier than I would normally
say, but I'm having a really awful day...(not that you should
care, but... will attempt a more thoughtful response: )

However, I also understand practicalities, of time,

Wouldn't it be appropriate, to keep such a bug at a low priority and in
an unconfirmed state to allow correlation of similar symptoms, should
such come up in the next few-several months (whatever is relevant for
a release).   After such a observation period, if it is still an outlier,
close it as unreproducible or such.

However, simply closing it, as it was seems to more likely indicate it
would likely be ignored in a correlational searches already said to "not be a bug",
due to it coming from 'cygwin'.  Which seems awfully simplistic.

Eric's initial assumptions about the bug were incorrect as I responded.
That doesn't lead me to believe that instantly closing a bug coming
from a cygwin port should always be the best automatic response.

I've been using linux alot longer than cygwin, though cygwin usage
goes back 7-8 years...(linux 12-13), unix longer...

Paul Eggert wrote:
> On 01/09/12 17:00, Linda Walsh wrote:
>> cp is a gnu util, not part of linux, -- you should
>> demonstrate that it is not a bug in cygwin
> 
> This is not a practical division of labor.  As a general rule,
> we don't have the resources to deal with Windows ports.
> 
> I suggest raising this issue with the people who are actually
> doing the Windows port, whoever they are.  If it's a
> problem with the port, they can fix it themselves without putting
> further load on us; if not, they'll have a better chance to diagnose
> and fix the problem than we will (our chance is essentially zero).